body {
    margin: 0;
    font-family: Arial, sans-serif;
}

.header-box {
    background-color: #333;
    color: white;
    padding-top: 15px;
    padding-bottom: 15px;
    text-align: center;
    width: 100%;
    z-index: 1;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.content {
    flex: 1;
    padding-top: 15px;
    box-sizing: border-box;
    margin: 0 2px;
}

.container {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.header-btn-lightmode {
    background-color: white;
    color: black;
}

.header-btn-dir {
    background-color: dodgerblue;
    color: white;
}

.back-button {
    background-color: #4CAF50;
    color: white;
    padding: 10px 15px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    margin-left: 3px;
    margin-right: 5px;
    margin-top: 3px;
    margin-bottom: 3px;
}

.button-wrapper {
    margin-right: 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.button-wrapper button {
    width: 100%;
    border-radius: 3px;
    min-width: max-content;
}

.button-container {
    display: flex;
    border: 2px solid black;
    border-radius: 10px 0 0 10px;
    background-color: #202020;
    padding: 5px;
}

.header-box h1 {
    margin: 0;
    padding-left: 15px;
}

.footer {
    position: fixed;
    bottom: 0;
    right: 0;
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    justify-content: flex-end;
    margin-right: 5px;
    margin-bottom: 1.5px
}

.footer img {
    width: 40px;
}

body.scrolled .header-box {
    top: -100px;
}

.gallery {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
    margin: 0 10px;
    margin-bottom: 10px;
}

.image-group-header {
    margin-top: 20px;
    border-left: 5px solid rgba(0,0,5,0.2);
    padding-left: 5px;
    padding: 10px;
    width: 98%;
    box-sizing: border-box;
    background: rgba(0,0,5,0.1);
}

div > .image-group-header:first-child:not(:first-child + .image-group-header) {
    margin-top: 0;
}

img {
    max-width: 100%;
    max-height: 400px;
    height: auto;
    border: 2px solid #ddd;
    border-radius: 8px;
    transition: 0.3s;
    cursor: pointer;
}

img:hover {
    border: 2px solid #777;
    transition: transform 0.3s ease-out;
}

.image-viewer {
    z-index: 3;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
}

.image-viewer img {
    max-width: 90%;
    max-height: 90%;
    cursor: zoom-in;
    transition: transform 0.5 cubic-bezier(0.25,0.1,0.25,1);

}

.close-btn {
    font-size: 40px;
    color: white;
    cursor: pointer;
    position: absolute;
    top: 10px;
    right: 20px;
    z-index: 1;
}

.nav-arrows {
    position: fixed;
    top: 50%;
    display: flex;
    justify-content: space-between;
    width: 100%;
    padding: 0 20px;
    z-index: 1;
}

.nav-arrow {
    font-size: 60px;
    color: white;
    cursor: pointer;
    padding: 20px;
    position: relative;
}

.nav-arrow-left {
    margin-left: 20px;
}

.nav-arrow-right {
    margin-right: 20px;
}

.nav-arrow-left:before,

.nav-arrow-right:before {
    content: '';
    position: absolute;
    top: -20px;
    right: -20px;
    bottom: -20px;
    left: -20px;
}

body.dark-mode {
    background-color: #2a2a2a;
    color: #fff;
}

body.dark-mode .header-box {
    background-color: #111;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

body.dark-mode .header-box h1 {
    color: #fff;
}

body.dark-mode * {
    border-color: #333;
}

body.dark-mode .content {
    background-color: #2a2a2a;
}

.viewed-image {
    z-index: 2;
}

.markdown-container {
    max-width: calc(97% - 20px);
    margin: 5px auto;
    padding: 10px;
    background-color: rgba(100,100,100,0.1);
    border: 1px solid #ced4da;
    border-radius: 5px;
}

.markdown-container a,
.markdown-container a:visited {
    color: #00c254;
}

.markdown-container a:hover,
.markdown-container a:focus,
.markdown-container a:active {
    color: #1dcf32;
}

.markdown-container p {
    font-size: 1rem;
    margin-top: 2px;
    margin-bottom: 0px;
}

.markdown-container h1,
.markdown-container h2,
.markdown-container h3,
.markdown-container h4 {
    margin: 1.414rem 0 0.5rem;
    font-weight: inherit;
    line-height: 1.42;
    margin-top: 0px;
    margin: 3px;
}

.markdown-container h1 {
    margin-top: 0;
    font-size: 3.998rem;
}

.markdown-container h2 {
    font-size: 2.827rem;
}

.markdown-container h3 {
    font-size: 2rem;
}

.markdown-container h4 {
    font-size: 1.414rem;
}

.markdown-container h5 {
    font-size: 1.121rem;
}

.markdown-container h6 {
    font-size: 0.88rem;
}

.markdown-container small {
    font-size: 0.707em;
}

.markdown-container img,
.markdown-container canvas,
.markdown-container iframe,
.markdown-container video,
.markdown-container svg,
.markdown-container select,
.markdown-container textarea {
    max-width: 100%;
}

.markdown-container blockquote {
    border-left: 3px solid #3bfb8e;
    padding-left: 1rem;
    margin-left: 5px;
}

.markdown-container + * {
    padding-top: 20px;
}

.markdown-container code {
    font-family: 'Courier New', Courier, monospace;
}

.markdown-container p code {
    background-color: rgba(125,125,125,0.2);
    color: #fff;
    padding: 2px 5px;
    margin-top: 2px;
    border-radius: 3px;
    font-family: 'Courier New', Courier, monospace;
}

.markdown-container pre {
    background-color: rgba(0,0,0,0.1);
    color: rgb(23, 118, 207);
    padding: 10px;
    overflow: auto;
    margin: 1em 0;
    font-family: 'Courier New', Courier, monospace;
}
.markdown-container hr {
    border: none;
    height: 4px;
    background-color: #4CAF50;
    margin: 30px 0;
    box-shadow: 0 4px 6px rgba(0,0,0,0.1);
}

.markdown-container table {
    width: 100%;
    border-collapse: collapse;
    border: 1px solid rgba(125, 125, 125, 0.2);
}

.markdown-container th,
.markdown-container td {
    padding: 8px;
    text-align: left;
    border-bottom: 1px solid rgba(125, 125, 125, 0.2);
}

.markdown-container th {
    background-color: rgba(125, 125, 125, 0.2);
}

.markdown-container tbody tr:nth-child(odd) {
    background-color: rgba(125, 125, 125, 0.1);
}

.markdown-container tbody tr:first-child th {
    background-color: rgba(125, 125, 125, 0.2);
}

.markdown-container tbody td:first-child {
    background-color: rgba(125, 125, 125, 0.2);
}

/*
.markdown-container .custom-container {
}
*/

.markdown-container .custom-container .warning {
    background-color: rgba(255, 90, 90, 0.6);
    padding: 0;
    border-left: solid 4px rgb(150, 20, 20,0.7);
    margin: 0.9em 0;
}
.markdown-container .custom-container .warning p {
    margin: 0;
    padding: 7px;
}
.markdown-container .custom-container .warning .container-header {
    font-weight: bold;
    margin-bottom: 5px;
}

.markdown-container .custom-container .info {
    background-color: rgba(38, 215, 106, 0.6);
    padding: 0;
    border-left: solid 4px rgba(19, 100, 50, 0.7);
    margin: 0.9em 0;
}
.markdown-container .custom-container .info p {
    margin: 0;
    padding: 7px;
}
.markdown-container .custom-container .info .container-header {
    font-weight: bold;
    margin-bottom: 5px;
}

.markdown-container .custom-container .tip {
    background-color: rgba(26, 213, 251, 0.6);
    padding: 0;
    border-left: solid 4px rgba(13, 80, 120, 0.7);
    margin: 0.9em 0;
}
.markdown-container .custom-container .tip p {
    margin: 0;
    padding: 7px;
}
.markdown-container .custom-container .tip .container-header {
    font-weight: bold;
    margin-bottom: 5px;
}

@media only screen and (max-width: 600px) {
    .header-box h1 {
        font-size: 1.5rem;
    }

    img {
        max-height: 200px;
    }
}

/* generated using pygmentize -S gruvbox-dark -f html -a .codehilite > styles.css */
/* backround color modified to #252525BB */
/* standard text has a slight blue-ish tint #ddddee */
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.codehilite .hll { background-color: #ebdbb2 }
.codehilite { background: #252525BB; color: #ddddee }
.codehilite .c { color: #928374; font-style: italic } /* Comment */
.codehilite .err { color: #282828; background-color: #fb4934 } /* Error */
.codehilite .esc { color: #dddddd } /* Escape */
.codehilite .g { color: #dddddd } /* Generic */
.codehilite .k { color: #fb4934 } /* Keyword */
.codehilite .l { color: #dddddd } /* Literal */
.codehilite .n { color: #dddddd } /* Name */
.codehilite .o { color: #dddddd } /* Operator */
.codehilite .x { color: #dddddd } /* Other */
.codehilite .p { color: #dddddd } /* Punctuation */
.codehilite .ch { color: #928374; font-style: italic } /* Comment.Hashbang */
.codehilite .cm { color: #928374; font-style: italic } /* Comment.Multiline */
.codehilite .c-PreProc { color: #8ec07c; font-style: italic } /* Comment.PreProc */
.codehilite .cp { color: #928374; font-style: italic } /* Comment.Preproc */
.codehilite .cpf { color: #928374; font-style: italic } /* Comment.PreprocFile */
.codehilite .c1 { color: #928374; font-style: italic } /* Comment.Single */
.codehilite .cs { color: #ebdbb2; font-weight: bold; font-style: italic } /* Comment.Special */
.codehilite .gd { color: #282828; background-color: #fb4934 } /* Generic.Deleted */
.codehilite .ge { color: #dddddd; font-style: italic } /* Generic.Emph */
.codehilite .gr { color: #fb4934 } /* Generic.Error */
.codehilite .gh { color: #ebdbb2; font-weight: bold } /* Generic.Heading */
.codehilite .gi { color: #282828; background-color: #b8bb26 } /* Generic.Inserted */
.codehilite .go { color: #f2e5bc } /* Generic.Output */
.codehilite .gp { color: #a89984 } /* Generic.Prompt */
.codehilite .gs { color: #dddddd; font-weight: bold } /* Generic.Strong */
.codehilite .gu { color: #ebdbb2; text-decoration: underline } /* Generic.Subheading */
.codehilite .gt { color: #fb4934 } /* Generic.Traceback */
.codehilite .kc { color: #fb4934 } /* Keyword.Constant */
.codehilite .kd { color: #fb4934 } /* Keyword.Declaration */
.codehilite .kn { color: #fb4934 } /* Keyword.Namespace */
.codehilite .kp { color: #fb4934 } /* Keyword.Pseudo */
.codehilite .kr { color: #fb4934 } /* Keyword.Reserved */
.codehilite .kt { color: #fb4934 } /* Keyword.Type */
.codehilite .ld { color: #dddddd } /* Literal.Date */
.codehilite .m { color: #d3869b } /* Literal.Number */
.codehilite .s { color: #b8bb26 } /* Literal.String */
.codehilite .na { color: #fabd2f } /* Name.Attribute */
.codehilite .nb { color: #fe8019 } /* Name.Builtin */
.codehilite .nc { color: #8ec07c } /* Name.Class */
.codehilite .no { color: #d3869b } /* Name.Constant */
.codehilite .nd { color: #fb4934 } /* Name.Decorator */
.codehilite .ni { color: #dddddd } /* Name.Entity */
.codehilite .ne { color: #fb4934 } /* Name.Exception */
.codehilite .nf { color: #8ec07c } /* Name.Function */
.codehilite .nl { color: #dddddd } /* Name.Label */
.codehilite .nn { color: #8ec07c } /* Name.Namespace */
.codehilite .nx { color: #dddddd } /* Name.Other */
.codehilite .py { color: #dddddd } /* Name.Property */
.codehilite .nt { color: #8ec07c } /* Name.Tag */
.codehilite .nv { color: #83a598 } /* Name.Variable */
.codehilite .ow { color: #fb4934 } /* Operator.Word */
.codehilite .w { color: #dddddd } /* Text.Whitespace */
.codehilite .mb { color: #d3869b } /* Literal.Number.Bin */
.codehilite .mf { color: #d3869b } /* Literal.Number.Float */
.codehilite .mh { color: #d3869b } /* Literal.Number.Hex */
.codehilite .mi { color: #d3869b } /* Literal.Number.Integer */
.codehilite .mo { color: #d3869b } /* Literal.Number.Oct */
.codehilite .sa { color: #b8bb26 } /* Literal.String.Affix */
.codehilite .sb { color: #b8bb26 } /* Literal.String.Backtick */
.codehilite .sc { color: #b8bb26 } /* Literal.String.Char */
.codehilite .dl { color: #b8bb26 } /* Literal.String.Delimiter */
.codehilite .sd { color: #b8bb26 } /* Literal.String.Doc */
.codehilite .s2 { color: #b8bb26 } /* Literal.String.Double */
.codehilite .se { color: #fe8019 } /* Literal.String.Escape */
.codehilite .sh { color: #b8bb26 } /* Literal.String.Heredoc */
.codehilite .si { color: #b8bb26 } /* Literal.String.Interpol */
.codehilite .sx { color: #b8bb26 } /* Literal.String.Other */
.codehilite .sr { color: #b8bb26 } /* Literal.String.Regex */
.codehilite .s1 { color: #b8bb26 } /* Literal.String.Single */
.codehilite .ss { color: #b8bb26 } /* Literal.String.Symbol */
.codehilite .bp { color: #fe8019 } /* Name.Builtin.Pseudo */
.codehilite .fm { color: #8ec07c } /* Name.Function.Magic */
.codehilite .vc { color: #83a598 } /* Name.Variable.Class */
.codehilite .vg { color: #83a598 } /* Name.Variable.Global */
.codehilite .vi { color: #83a598 } /* Name.Variable.Instance */
.codehilite .vm { color: #83a598 } /* Name.Variable.Magic */
.codehilite .il { color: #d3869b } /* Literal.Number.Integer.Long */